{ lib, stdenv, fetchFromGitHub, rgbds }:

stdenv.mkDerivation rec {
  pname = "pokegold";
  version = "unstable-2021-07-20";

  src = fetchFromGitHub {
    owner = "pret";
    repo = pname;
    rev = "c91db56f422a6604d00a2df4e8c9f14879f70928";
    sha256 = "sha256-OenoCmPgVfTpS4oOFaEXFGP+1ebVHnnMsCcOm3G7VUA=";
  };

  nativeBuildInputs = [ rgbds ];

  installPhase = ''
    runHook preInstall
    mkdir -p $out
    cp poke{gold,silver}.gbc $out
    runHook postInstall
  '';

  meta = with lib; {
    description = "ROM built from disassembly of Pokémon Gold/Silver";
    homepage = "https://github.com/pret/pokegold";
    license = licenses.unfree;
    maintainers = with maintainers; [ sbruder ];
  };
}
