{ lib, stdenv, fetchFromGitHub, rgbds }:

stdenv.mkDerivation rec {
  pname = "pokered";
  version = "unstable-2021-08-01";

  src = fetchFromGitHub {
    owner = "pret";
    repo = pname;
    rev = "236426138bf085c4b7b854b43d910370fffca290";
    sha256 = "sha256-wHYVNCOrH8U0ggx72iuDmtDsTSrpUiCqKt7h4Widkws=";
  };

  nativeBuildInputs = [ rgbds ];

  installPhase = ''
    runHook preInstall
    mkdir -p $out
    cp poke{red,blue}.gbc $out
    runHook postInstall
  '';

  meta = with lib; {
    description = "ROM built from disassembly of Pokémon Red/Blue";
    homepage = "https://github.com/pret/pokered";
    license = licenses.unfree;
    maintainers = with maintainers; [ sbruder ];
  };
}
