{ lib, stdenv, fetchFromGitHub, rgbds }:

stdenv.mkDerivation rec {
  pname = "pokeyellow";
  version = "unstable-2021-06-20";

  src = fetchFromGitHub {
    owner = "pret";
    repo = pname;
    rev = "45c039801916713e4066644086de4d4940d5fa1d";
    sha256 = "sha256-ISyoABYFMnx55OmBfBmO7vDLVb9nH6Ppc2Wir6crmPg=";
  };

  nativeBuildInputs = [ rgbds ];

  installPhase = ''
    runHook preInstall
    mkdir -p $out
    cp pokeyellow.gbc $out
    runHook postInstall
  '';

  meta = with lib; {
    description = "ROM built from disassembly of Pokémon Yellow";
    homepage = "https://github.com/pret/pokeyellow";
    license = licenses.unfree;
    maintainers = with maintainers; [ sbruder ];
  };
}
